• API Overview
  • API Reference
  • C Library
  • Web Application
  • Knowledge Base
  • Back to meteonorm.com
Getting startedAuthenticationDemo locationsList of parametersQuerying climate dataQuerying observationsQuerying forecastsHorizon and altitudeChangelog APIChangelog algorithms & data
powered by Zudoku
API Overview

Horizon and Altitude

The Meteonorm API provides two endpoints to query the horizon and altitude of a location:

TerminalCode
curl -H "Authorization: Bearer demo0000-0000-0000-0000-000000000000" \ --get \ --data "lat=50" \ --data "lon=10" \ "https://demo.meteonorm.com/v1/horizon"
TerminalCode
curl -H "Authorization: Bearer demo0000-0000-0000-0000-000000000000" \ --get \ --data "lat=50" \ --data "lon=10" \ "https://demo.meteonorm.com/v1/altitude"

See the API Reference for details.

Note: These examples use our demo API URL. No registration required! See Free lat/lon locations for more information on how you can test the Meteonorm API free of charge. For operational use, replace demo.meteonorm.com with api.meteonorm.com.

Last modified on September 8, 2026
Querying forecastsChangelog API